<?
session_start();
if(empty($login)){
print "<script>top.location.href='index.php';</script>";
}
?>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
<body topmargin=2 bgcolor=#dedede>
<?

include "conf.php";
if (ereg("[<>\\/-]",$act) or ereg("[<>\\/-]",$otdel) or ereg("[<>\\/-]",$level)) {print "?!"; exit();}
//include "functions.php";
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
$sql = "SELECT * FROM users WHERE login='$login'";
$result = mysql_query($sql);
$db = mysql_fetch_array($result);
$city=$db["city"];
/*
if($city != "Dream Town"){
     print "<script>location.href='index.php'</script>";
        die();
}    
*/
if(!empty($buy)){
if (!ereg("[a-z]$",$buy) or !ereg("[0-9]$",$item)) {print "Go fuck, cheater!!!"; exit();}
if($buy!="sword" && $buy!="axe" && $buy!="fail" && $buy!="spear" && $buy!="knife" && $buy!="amulet" && $buy!="sergi" && $buy!="ring" && $buy!="poyas" && $buy!="armour"
 && $buy!="helmet" && $buy!="shield" && $buy!="boots" && $buy!="perchi" && $buy!="naruchi" && $buy!="scroll") {print "Go fuck, cheater!!!"; exit();}
        $detect_cl = mysql_query("SELECT * FROM $buy WHERE id='$item'");
        $resultat_cl = mysql_fetch_array($detect_cl);
        if(!$resultat_cl){print"Вещь не найдена в магазине."; die();}

$s="select * from $buy where id=$item";
$q=mysql_query($s);
$r=mysql_fetch_array($q);
$i_max=$r["iznos_max"];
$price_gos = $r["price"];
$price1 = $price_gos - $db["trade"]/50;
$price = sprintf ("%01.2f", $price1);
if($db["money"]>=$price){
if($buy!=scroll){
$sql="INSERT INTO inv(owner,object_id,object_type,object_razdel,wear,iznos,is_modified,iznos_max) VALUES ('$login','$item','$buy','obj','0','0','0','$i_max')";
}else{
$sql="INSERT INTO inv(owner,object_id,object_type,object_razdel,wear,iznos,is_modified,iznos_max,pages_used) VALUES ('$login','$item','$buy','thing','0','0','0','$i_max','0')";
}
$res=mysql_query($sql);
if(!$res){echo mysql_error();}

$n_money=$db["money"]-$price;
$s2="UPDATE users SET money='$n_money',trade = trade+0.01 WHERE login='$login'";
$rr=mysql_query($s2);

$name=$r["name"];
//say($login,"Вы удачно купили <b>&quot$name&quot</b> за <b>$price</b> кр.",$login);
if(empty($ip))
{
               if (getenv('HTTP_X_FORWARDED_FOR'))
                {
                        $ip=getenv('HTTP_X_FORWARDED_FOR');
                }
                       else
                {
                        $ip=getenv('REMOTE_ADDR');
                }
}
$name2="$name ($price кр)";
istor($login,'купил',$name2,$ip,'Магазин');

print "<script>location.href='shop.php?otdel=$buy&warning=14&name=$name&price=$price';</script>";
$SQL_NUM="UPDATE $buy SET mountown=mountown-1 WHERE id=$item";
$Q=mysql_query($SQL_NUM);

}
else{
print "Go fuck, cheater!!!";
die();
}

}

$s="select money from users where login='$login'";
$q=mysql_query($s);
$r=mysql_fetch_array($q);
$money1=$r["money"];
$money = sprintf ("%01.2f", $money1);

?>              <table width="148" align=right border="0" cellpadding="0" cellspacing="1" bgcolor="#DEDEDE"><tr>
                <td bgcolor="#D3D3D3"><img src="img/links.gif" width="9" height="7" /></td>
                <td bgcolor="#D3D3D3" nowrap><a href="main.php?act=go&level=centplosh" onclick="" class="menutop" title="Переход на центральную площадь">Центральная площадь</a></td>
              </tr></table>
<center><H3><p style="COLOR: #8f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 12pt;  FONT-WEIGHT: bold; TEXT-ALIGN: center">Магазин</p></center>

<table border=0 width=100% cellpadding=1 cellspacing=1>
<tr>
<td width=700 valign=top>
<?if($warning==14){echo"<font color=red><b>Вы купили предмет \"$name\" за $price кр.<b></font>";}?>
<table border=0 width=100% cellpadding=0 cellspacing=0 height=20>
<tr>
<td width=10>
<table border=0 width=100% cellpadding=0 cellspacing=0>
<tr>
<Td><img src='img/cor_l_t.gif'></td></tr>
<tr><Td><img src='img/cor_l_b.gif'></td></tr>
</table>
</td>
<td align=center bgcolor=#cccccc><B>Отдел: "<?
if ($otdel==""){print "Кастеты, ножи";}
if ($otdel=="sword"){print "Мечи";}
if ($otdel=="axe"){print "Топоры";}
if ($otdel=="fail"){print "Дубины, булавы";}
if ($otdel=="spear"){print "Луки, арбалеты";}
if ($otdel=="knife"){print "Кастеты, ножи";}
if ($otdel=="amulet"){print "Ожерелья";}
if ($otdel==="sergi"){print "Серьги";}
if ($otdel=="ring"){print "Кольца";}
if ($otdel=="poyas"){print "Пояса";}
if ($otdel=="armour"){print "Тяжелая броня";}
if ($otdel=="helmet"){print "Шлемы";}
if ($otdel=="shield"){print "Щиты";}
if ($otdel=="boots"){print "Сапоги";}
if ($otdel=="perchi"){print "Перчатки";}
if ($otdel=="naruchi"){print "Наручи";}
if ($otdel=="scroll"){print "Заклинания";}
if ($otdel=="book"){print "Магические книги";}
if ($otdel=="animal"){print "Животные";}   ?>"</B>
</td>
<td width=10>
<table border=0 width=100% cellpadding=0 cellspacing=0>
<tr>
<Td><img src='img/cor_r_t.gif'></td></tr>
<tr><Td><img src='img/cor_r_b.gif'></td></tr>
</table>
</td>
</tr>
<Tr></tr>
<Tr></tr>
</table>





<?
if(empty($otdel)){
$otdel='knife';
}
if(empty($act)){$act="";}


if($act=="sell"){
if (!ereg("[0-9]$",$item_id)) {print "Go fuck, cheater!!!"; exit();}
        if(empty($item_id)){
        include "sell.php";
        }
        else{
        $detect = mysql_query("SELECT * FROM inv WHERE id='$item_id'");
        $resultat = mysql_fetch_array($detect);
        $owner = $resultat["owner"];
        if(!$resultat or $owner!=$login){print"Вещь не найдена в инвентаре."; die();}

        $s="select * from inv where id=$item_id";
        $q=mysql_query($s);
        $res=mysql_fetch_array($q);
        $obj_type=$res["object_type"];
        $obj_id=$res["object_id"];

        $ss="select * from $obj_type where id=$obj_id";
        $qq=mysql_query($ss);
        $res2=mysql_fetch_array($qq);
        $name=$res2["name"];
        $price=$res2["price"]/1.8*($db["trade"]/100+1)-($res["iznos"]*0.1);
        $price1 = sprintf ("%01.2f", $price);
        print "<script>if(confirm('Вы уверены что хотите продать предмет $name за $price1?')){location.href='shop.php?act=sell_conf&item_id=$item_id'}</script>";
        }
}

if($act=="sell_conf"){
if (!ereg("[0-9]$",$item_id)) {print "Go fuck, cheater!!!"; exit();}
        $s="select * from inv where id=$item_id";
        $q=mysql_query($s);
        $res=mysql_fetch_array($q);
        $obj_type=$res["object_type"];
        $obj_id=$res["object_id"];

        $ss="select * from $obj_type where id=$obj_id";
        $qq=mysql_query($ss);
        $res2=mysql_fetch_array($qq);
        $name=$res2["name"];
        $price=$res2["price"]/1.8*($db["trade"]/100+1)-($res["iznos"]*0.1);
        $price1 = sprintf ("%01.2f", $price);

        if($res["owner"]==$login){
        $SQL="DELETE FROM inv WHERE id=$item_id";
        $QUERY=mysql_query($SQL);

        $SQL3="UPDATE $obj_type SET mountown=mountown+1 WHERE id=$obj_id";
        $QUERY3=mysql_query($SQL3);

        $new_m=$db["money"]+$price1;
        $SQL2="UPDATE users SET money='$new_m',trade=trade+0.1 WHERE login='$login'";
        $QUERY2=mysql_query($SQL2);
                if($QUERY && $QUERY2){

if(empty($ip))
{
               if (getenv('HTTP_X_FORWARDED_FOR'))
                {
                        $ip=getenv('HTTP_X_FORWARDED_FOR');
                }
                       else
                {
                        $ip=getenv('REMOTE_ADDR');
                }
}
                $name2="$name ($price1 кр)";
                istor($login,'продал',$name2,$ip,'магазин');
                }
        }
}

$seek=mysql_query("SELECT * FROM $otdel");
while($dat=mysql_fetch_array($seek)){


$orden=$db["orden"];
$name=$dat["name"];
$img=$dat["img"];
$mass=$dat["mass"];
$price1=$dat["price"]-$db["trade"]/50;
$price = sprintf ("%01.2f", $price1);
$price_gos1=$dat["price"];
$price_gos = sprintf ("%01.2f", $price_gos1);
$min_s=$dat["min_sila"];
$min_l=$dat["min_lovkost"];
$min_u=$dat["min_udacha"];
$min_p=$dat["min_power"];
$min_i=$dat["min_intellekt"];
$min_v=$dat["min_vospriyatie"];
$min_level=$dat["min_level"];
        if($dat["type"]=="two_hand"){
        $min_s2=$dat["min_sila2"];
        $min_l2=$dat["min_lovkost2"];
        $min_u2=$dat["min_udacha2"];
        $min_p2=$dat["min_power2"];
        $min_i2=$dat["min_intellekt2"];
        $min_v2=$dat["min_vospriyatie2"];
        $min_level2=$dat["min_level2"];
        }
$add_s=$dat["add_sila"];
$add_l=$dat["add_lovkost"];
$add_u=$dat["add_udacha"];
$add_hp=$dat["add_hp"];
$add_i=$dat["add_intellekt"];
$add_mana=$dat["add_mana"];
$addsword_vl=$dat["sword_vl"];
$addaxe_vl=$dat["axe_vl"];
$addfail_vl=$dat["fail_vl"];
$addknife_vl=$dat["knife_vl"];
$addspear_vl=$dat["spear_vl"];
$p_h=$dat["protect_head"];
$p_c=$dat["protect_corp"];
$p_p=$dat["protect_poyas"];
$p_l=$dat["protect_legs"];
$mf_krit=$dat["mf_krit"];
$mf_antikrit=$dat["mf_antikrit"];
$mf_uvorot=$dat["mf_uvorot"];
$mf_antiuvorot=$dat["mf_antiuvorot"];
$min_a=$dat["min_attack"];
$max_a=$dat["max_attack"];
$need_orden=$dat["orden"];
$iznos = $dat["iznos_max"];
$id=$dat["id"];
$add_speed = $dat["add_speed"];
$add_arm_l=$dat["add_arm_l"];
$add_arm_m=$dat["add_arm_m"];
$add_arm_h=$dat["add_arm_h"];
$add_fire=$dat["add_fire"];
$add_water=$dat["add_water"];
$add_air=$dat["add_air"];
$add_earth=$dat["add_earth"];
$add_cast=$dat["add_cast"];
$add_trade=$dat["add_trade"];
$add_cure=$dat["add_cure"];
$add_walk=$dat["add_walk"];
$id=$dat["id"];

$th = 0;
        if($dat["type"]=="two_hand"){
        $th = 1;
        }


$qq="SELECT * FROM users WHERE login='$login'";
$res=mysql_query($qq);
$d=mysql_fetch_array($res);
$city=$d["city_game"];

if(!empty($name)){

$nums=$dat["mountown"];

if($nums>0){
?>
<table width=100% cellpadding=0 cellspacing=0 border=0>
<td width=10><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=10><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<?
print "<table border=0 width=100% cellpadding=0 cellspacing=0><tr><td><table border=0 bgcolor=#888888 width=100% cellpadding=0 cellspacing=0><tr><td>";
print "<table border=0 width=100% cellpadding=2 cellspacing=0><tr>";
print "<td valign=top bgcolor=#cccccc><span class=usuallyb>";
print "</tr></td></table>";
print "<table border=0 width=100% bgcolor=#cccccc cellpadding=1 cellspacing=1><TR><TD bgcolor=#cccccc width=22%>";
print "<center><img src='img/$img' alt='$name'><BR><center>";
if($price<=$d["money"]){
print "<center><a href='shop.php?buy=$otdel&item=$id' class=nick>купить</a>";
}
else{
print "<small><B>нельзя купить</B></small>";
}
print "</td><td valign=top bgcolor=#cccccc>";
print "<font color=#003388><B>$name</b></font>&nbsp(Масса: $mass)";
if($need_orden!=0){
if($need_orden==1){$orden_dis="Белое братство";}
if($need_orden==2){$orden_dis="Темное братство";}
if($need_orden==3){$orden_dis="Нейтральное братство";}
if($need_orden==4){$orden_dis="Алхимик";}
if($need_orden==5){$orden_dis="Тюремный заключенный";}
print "&nbsp&nbsp<img src='img/orden/$need_orden.gif' border=0 alt='Требуемый орден:\n$orden_dis'>";
}
pokaz($login,$otdel,$id);
print "<br><br><B>Осталось: $nums шт.</B>";
print "</td></tr></table></td></tr></table></td></tr></table>";
?>
<table width=100% cellpadding=0 cellspacing=0 border=0>
<td width=10><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=10><img src='img/cor2_r_b.gif'></td>
</tr>
</table><BR>
<?
}

}

}

?>
<td></td>
<td width=260 valign=top><center><B>У вас в наличии:<FONT COLOR=339900> <?echo $money;?></font> кр.</B><br><br></center>
&nbsp&nbsp&nbsp&nbsp<INPUT value="Продать вещи" type=button name=sale style='border: solid 1pt #B0B0B0; font-family: MS Sans Serif; font-size: 10px; color: #191970; MARGIN-BOTTOM: 2px; MARGIN-TOP: 1px;' onClick="location.href='sell.php'">
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc>
<center><B>Отделы магазина</B></center>
</td>
<td width=20><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<table border=0 cellpadding=0 width=100% bgcolor=#cccccc>
<TR>
</TR><TR><TD>
<a class=nick href='shop.php?otdel=knife'>Оружие: кастеты, ножи</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=axe'>топоры</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=sword'>мечи</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=fail'>дубины, булавы</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=spear'>луки, арбалеты</a><BR>
<a class=nick href='shop.php?otdel=boots'>Одежда: сапоги</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=perchi'>перчатки</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=armour'>тяжелая броня</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=helmet'>шлемы</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=naruchi'>наручи</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=poyas'>пояса</a><BR>
<a class=nick href='shop.php?otdel=shield'>Щиты</a><BR>
<a class=nick href='shop.php?otdel=sergi'>Ювелирные изделия: серьги</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=amulet'>ожерелья</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=ring'>кольца</a><BR>
<a class=nick href='shop.php?otdel=scroll'>Заклинания</a><BR>
<!--<a class=nick href='shopmag.php?otdel=book'>Магические книги</a><BR>-->
</td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table>
</td>
</tr>
<table>

<?
/*==============show in inv==================================================*/
function pokaz($who,$type,$id){
$query=mysql_query("SELECT * FROM users WHERE login='$who'");
$d=mysql_fetch_array($query);

$i_sql = mysql_query("SELECT * FROM $type WHERE id='$id'");
$dat = mysql_fetch_array($i_sql);

$mass = $dat["mass"];
$price1=$dat["price"]-$d["trade"]/50;
$price = sprintf ("%01.2f", $price1);
$price_gos1=$dat["price"];
$price_gos = sprintf ("%01.2f", $price_gos1);
$iznos=$dat["iznos_min"];
$iznos_max=$dat["iznos_max"];
$min_s=$dat["min_sila"];
$min_l=$dat["min_lovkost"];
$min_u=$dat["min_udacha"];
$min_p=$dat["min_power"];
$min_i=$dat["min_intellekt"];
$min_v=$dat["min_vospriyatie"];
$min_level=$dat["min_level"];
        if($dat["type"]=="two_hand"){
        $min_s2=$dat["min_sila2"];
        $min_l2=$dat["min_lovkost2"];
        $min_u2=$dat["min_udacha2"];
        $min_p2=$dat["min_power2"];
        $min_i2=$dat["min_intellekt2"];
        $min_v2=$dat["min_vospriyatie2"];
        $min_mana2=$dat["mana"];
        $min_level2=$dat["min_level2"];
        }
$add_s=$dat["add_sila"];
$add_l=$dat["add_lovkost"];
$add_u=$dat["add_udacha"];
$add_hp=$dat["add_hp"];
$add_i=$dat["add_intellekt"];
$add_mana=$dat["add_mana"];
$addsword_vl=$dat["sword_vl"];
$addaxe_vl=$dat["axe_vl"];
$addfail_vl=$dat["fail_vl"];
$addknife_vl=$dat["knife_vl"];
$addspear_vl=$dat["spear_vl"];
$addshot_vl=$dat["shot_vl"];
$p_h=$dat["protect_head"];
$p_a=$dat["bron_arm"];
$p_c=$dat["protect_corp"];
$p_p=$dat["protect_poyas"];
$p_l=$dat["protect_legs"];
$mf_krit=$dat["mf_krit"];
$mf_antikrit=$dat["mf_antikrit"];
$mf_uvorot=$dat["mf_uvorot"];
$mf_antiuvorot=$dat["mf_antiuvorot"];
$min_a=$dat["min_attack"];
$max_a=$dat["max_attack"];
$need_orden=$dat["orden"];
$add_speed=$dat["add_speed"];
$add_velocity=$dat["add_velocity"];
$add_arm_l=$dat["add_arm_l"];
$add_arm_m=$dat["add_arm_m"];
$add_arm_h=$dat["add_arm_h"];
$add_fire=$dat["add_fire"];
$add_water=$dat["add_water"];
$add_air=$dat["add_air"];
$add_earth=$dat["add_earth"];
$add_cast=$dat["add_cast"];
$add_trade=$dat["add_trade"];
$add_cure=$dat["add_cure"];
$add_walk=$dat["add_walk"];
$sex = $dat["sex"];
$need_mn = $dat["mana"];
$veroyat = $dat["veroyat"];
$th = 0;
        if($dat["type"]=="two_hand"){
        $th = 1;
        }
if($price<=$d["money"]){
print "<br><b>Цена:</b> $price_gos (<b>$price</b>) <b>кр.</b><BR>";
} else {
print "<br><b>Цена:</b> <font color=#D50000>$price_gos (<b>$price</b>)</font> <b>кр.</b><BR>";}
print "Долговечность: $iznos/$iznos_max<BR>";
if(!empty($veroyat)){
print "Вероятность срабатывания: $veroyat%<BR>";
}
print "<b>Требуется минимальное:</b>";
if($min_level>0){
if($min_level>$d["level"]){
$min_level="<font color=#D50000>$min_level</font>";
}
print "<br>&bull; Уровень: $min_level";
        if($th == 1 && $min_level2>0){
                if($d["level"]>=$min_level2){
                print " [$min_level2]";
                }
                else{
                print " [<font color=#D50000>$min_level2</font>]";
                }
        }
}
if($min_s>0){
if($min_s>$d["sila"]){
$min_s="<font color=#D50000>$min_s</font>";
}
print "<br>&bull; Сила: $min_s";
        if($th == 1 && $min_s2>0){
                if($d["sila"]>=$min_s2){
                print " [$min_s2]";
                }
                else{
                print " [<font color=#D50000>$min_s2</font>]";
                }
        }
}
if($min_l>0){
if($min_l>$d["lovkost"]){
$min_l="<font color=#D50000>$min_l</font>";
}
print "<br>&bull; Ловкость: $min_l";
        if($th == 1 && $min_l2>0){
                if($d["lovkost"]>=$min_l2){
                print " [$min_l2]";
                }
                else{
                print " [<font color=#D50000>$min_l2</font>]";
                }
        }
}
if($min_u>0){
if($min_u>$d["udacha"]){
$min_u="<font color=#D50000>$min_u</font>";
}
print "<br>&bull; Интуиция: $min_u";
        if($th == 1 && $min_u2>0){
                if($d["udacha"]>=$min_u2){
                print " [$min_u2]";
                }
                else{
                print " [<font color=#D50000>$min_u2</font>]";
                }
        }
}
if($min_p>0){
if($min_p>$d["power"]){
$min_p="<font color=#D50000>$min_p</font>";
}
print "<br>&bull; Выносливость: $min_p";
        if($th == 1 && $min_p2>0){
                if($d["power"]>=$min_p2){
                print " [$min_p2]";
                }
                else{
                print " [<font color=#D50000>$min_p2</font>]";
                }
        }
}
if($min_i>0){
if($min_i>$d["intellekt"]){
$min_i="<font color=#D50000>$min_i</font>";
}
print "<br>&bull; Интеллект: $min_i";
        if($th == 1 && $min_i2>0){
                if($d["intellekt"]>=$min_i2){
                print " [$min_i2]";
                }
                else{
                print " [<font color=#D50000>$min_i2</font>]";
                }
        }
}
if($min_v>0){
if($min_v>$d["vospriyatie"]){
$min_v="<font color=#D50000>$min_v</font>";
}
print "<br>&bull; Мудрость: $min_v";
        if($th == 1 && $min_v2>0){
                if($d["vospriyatie"]>=$min_v2){
                print " [$min_v2]";
                }
                else{
                print " [<font color=#D50000>$min_v2</font>]";
                }
        }
}
if($need_mn>0){
if($need_mn>$d["mana"]){
$need_mn="<font color=#D50000>$need_mn</font>";
}
print "<br>&bull; Исп. маны: $need_mn";
        if($th == 1 && $min_mana2>0){
                if($d["mana"]>=$min_mana2){
                print " [$min_mana2]";
                }
                else{
                print " [<font color=#D50000>$min_mana2</font>]";
                }
        }
}
if(!empty($sex)){
        if($sex == "female" && $sex!=$d["sex"]){$req_sex = "<font color=#D50000>женский</font>";}
    else if($sex == "female" && $sex==$d["sex"]){$req_sex = "женский";}
    else if($sex == "male" && $sex==$d["sex"]){$req_sex = "мужской";}
        else if($sex == "male" && $sex!=$d["sex"]){$req_sex = "<font color=#D50000>мужской</font>";}
         print "<BR>&bull; Пол: $req_sex<BR>";
}
if($type!='scroll'){
print "<br><b>Параметры:</b>";
if($min_a>0 or $max_a>0){
print "<br>&bull; Урон: $min_a - $max_a";
}
if($add_s>0){
print "<br>&bull; Сила: +$add_s";
}
else if($add_s<0){
print "<br>&bull; Сила: <font color=#D50000>$add_s</font>";
}
if($add_l>0){
print "<br>&bull; Ловкость: +$add_l";
}
else if($add_l<0){
print "<br>&bull; Ловкость: <font color=#D50000>$add_l</font>";
}
if($add_u>0){
print "<br>&bull; Интуиция: +$add_u";
}
else if($add_u<0){
print "<br>&bull; Интуиция: <font color=#D50000>$add_u</font>";
}
if($add_i>0){
print "<br>&bull; Интеллект: +$add_i";
}
else if($add_i<0){
print "<br>&bull; Интеллект: <font color=#D50000>+$add_i</font>";
}
if($add_hp>0){
print "<br>&bull; Уровень жизни: +$add_hp";
}
else if($add_hp<0){
print "<br>&bull; Уровень жизни: <font color=#D50000>$add_hp</font>";
}
if($add_mana>0){
print "<br>&bull; Уровень маны: +$add_mana";
}
else if($add_mana<0){
print "<br>&bull; Уровень маны: <font color=#D50000>$add_mana</font>";
}
if($addsword_vl>0){
print "<br>&bull; Владение мечами: +$addsword_vl%";
}
if($addaxe_vl>0){
print "<br>&bull; Владение топорами: +$addaxe_vl%";
}
if($addfail_vl>0){
print "<br>&bull; Владение дубинами, булавами: +$addfail_vl%";
}
if($addknife_vl>0){
print "<br>&bull; Владение ножами, кастетами: +$addknife_vl%";
}
if($addspear_vl>0){
print "<br>&bull; Владение луками, арбалетами: +$addspear_vl%";
}
if($addshot_vl>0){
print "<br>&bull; Владение стрелковым: +$addshot_vl%";
}
if($add_speed>0){
print "<br>&bull; Скорость: <B>+$add_speed</B> (км/ч)";
}
if($add_speed<0){
print "<br>&bull; Скорость: <font color=#D50000><B>$add_speed</B></font> (км/ч)";
}
if($add_velocity>0){
print "<br>&bull; Грузоподъемность: <B>+$add_velocity</B> (кг)";
}
if($add_velocity<0){
print "<br>&bull; Грузоподъемность: <font color=#D50000><B>$add_velocity</B></font> (кг)";
}
if($p_h>0){
print "<br>&bull; Броня головы: $p_h";
}
if($p_a>0){
print "<br>&bull; Броня рук: $p_a";
}
if($p_c>0){
print "<br>&bull; Броня корпуса: $p_c";
}
if($p_p>0){
print "<br>&bull; Броня пояса: $p_p";
}
if($p_l>0){
print "<br>&bull; Броня ног: $p_l";
}
if($add_arm_l>0){
print "<br>&bull; Бездоспешный бой: +$add_arm_l";
}
if($add_arm_m>0){
print "<br>&bull; Легкие доспехи: +$add_arm_l";
}
if($add_arm_h>0){
print "<br>&bull; Тяжелые доспехи: +$add_arm_h";
}
if($add_fire>0){
print "<br>&bull; Стихия огня: +$add_fire";
}
if($add_water>0){
print "<br>&bull; Стихия воды: +$add_water";
}
if($add_air>0){
print "<br>&bull; Стихия воздуха: +$add_air";
}
if($add_earth>0){
print "<br>&bull; Стихия земли: +$add_earth";
}
if($add_cast>0){
print "<br>&bull; Кастование: +$add_cast";
}
if($add_trade>0){
print "<br>&bull; Торговля: +$add_trade";
}
if($add_cure>0){
print "<br>&bull; Исцеление: +$add_cure";
}
if($add_walk>0){
print "<br>&bull; Походы: +$add_walk";
}
if($mf_krit>0){
print "<br>&bull; Мф. крит. удара: +$mf_krit%";
}
else if($mf_krit<0){
print "<br>&bull; Мф. крит. удара: $mf_krit%";
}
if($mf_antikrit>0){
print "<br>&bull; Мф. антикрит: +$mf_antikrit%";
}
else if($mf_antikrit<0){
print "<br>&bull; Мф. антикрит: $mf_antikrit%";
}
if($mf_uvorot>0){
print "<br>&bull; Мф. увертливости: +$mf_uvorot%";
}
else if($mf_uvorot<0){
print "<br>&bull; Мф. увертливости: $mf_uvorot%";
}
if($mf_antiuvorot>0){
print "<br>&bull; Мф. антиувертливости: +$mf_antiuvorot%";
}
else if($mf_uvorot<0){
print "<br>&bull; Мф. антиувертливости: $mf_antiuvorot%";
}
if($th==1){
print "<br><br><br><i>Двуручное оружие</i>";
}
}
}
/*===================запись в историю============================*/
function istor($who,$act,$val,$ip,$to){
$chas = date("H");
$d=date("d.m.Y", mktime($chas-$GSM));

$time=date("H:i:s", mktime($chas-$GSM));

$S = mysql_query("INSERT INTO perevod(login,action,item,ip,time,date,login2) VALUES('$who','$act','$val','$ip','$time','$d','$to')");
}
/*===============================================================*/
?>




